Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007269 [DCSS] Bug Report minor have not tried 2013-06-27 00:07 2016-02-29 06:51
Reporter reid View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007269: xv lies about ghost MR
Description xv reports all ghosts as "slightly resistant" to magic, but their true MR depends on their HD (XL of the dead character). This seems to be because monster::res_magic uses the real monster HD, while monster_info::res_magic (used by xv) uses the HD of the "player ghost" monster info entry.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0023316)
KiloByte (manager)
2013-06-27 00:15

Why won't we just use real MR? All it could leak is the monster's HD, which is already known as vaults with redefinitions are recognizable on sight, and monsters levelling/getting drained give messages. In theory, such draining could happen out of sight, but with summons not acting out of LOS, that'd be pretty unlikely.
(0023317)
reid (reporter)
2013-06-27 00:20

I agree, though it doesn't look entirely trivial to use the real MR with the way the code is currently structured.
(0023318)
reid (reporter)
2013-06-27 00:23

I guess for ?/m there is no actual monster, so something would still have to be done about that.
(0027406)
neil (administrator)
2014-10-02 14:55

I have put in a stopgap (reversing the ghost rank to get an approximate XL: 0.16-a0-987-gffc47b1). It would be better to store either the HD or the MR in the ghost struct.
(0030240)
PleasingFungus (administrator)
2016-02-29 06:51

This has been properly fixed as of 9e956348/77c4e5a.

- Issue History
Date Modified Username Field Change
2013-06-27 00:07 reid New Issue
2013-06-27 00:15 KiloByte Note Added: 0023316
2013-06-27 00:20 reid Note Added: 0023317
2013-06-27 00:23 reid Note Added: 0023318
2014-10-02 14:55 neil Note Added: 0027406
2016-02-29 06:51 PleasingFungus Note Added: 0030240
2016-02-29 06:51 PleasingFungus Status new => resolved
2016-02-29 06:51 PleasingFungus Fixed in Branch => 0.18 development branch
2016-02-29 06:51 PleasingFungus Resolution open => done
2016-02-29 06:51 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker